# Uses of Interface
io.papermc.paper.math.BlockPosition

Packages that use BlockPosition
Package
Description
io.papermc.paper.math

## Uses of BlockPosition in io.papermc.paper.math

Fields in io.papermc.paper.math declared as BlockPosition
Modifier and Type
Field
Description
`static final BlockPosition`
Position.`BLOCK_ZERO`
Methods in io.papermc.paper.math that return BlockPosition
Modifier and Type
Method
Description
`static @NotNull BlockPosition`
Position.`block(int x, int y, int z)`
Creates a position at the coordinates
`static @NotNull BlockPosition`
Position.`block(@NotNull Location location)`
Creates a position from the location.
`default @NotNull BlockPosition`
BlockPosition.`offset(int x, int y, int z)`
`default @NotNull BlockPosition`
BlockPosition.`offset(@NotNull Axis axis, int amount)`
Returns a block position offset by the amount along the specified axis.
`default @NotNull BlockPosition`
BlockPosition.`offset(@NotNull BlockFace blockFace)`
Returns a block position offset by 1 in the direction specified.
`default @NotNull BlockPosition`
BlockPosition.`offset(@NotNull BlockFace blockFace, int amount)`
Returns a block position offset in the direction specified multiplied by the amount.
`default @NotNull BlockPosition`
BlockPosition.`toBlock()`
`default @NotNull BlockPosition`
FinePosition.`toBlock()`
`@NotNull BlockPosition`
Position.`toBlock()`
Returns the block position of this position or itself if it already is a block position